POST
/v1/mgmt/user/signin/embeddedlink

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

loginId?string
customClaims?object

Custom claims to include in the JWT as key-value pairs. Keys must be strings; values can be strings, numbers, or booleans.

Example{ "claim-name": "claim-value" }
timeout?integer
Formatint32

Generate an embedded link for an existing user

Initiate a sign-in process by generating an embdedded link for an existing user utilizing a management key.

The endpoint will return a token which can then be verified using the Magic Link Verify Token endpoint.

Next Steps

Verify the embedded link token using the Verify Token endpoint.

See Also

  • See Embedded link Authentication for details about implementing embedded links.
  • See The User Object for further details on how to identify users and their contact information such as email addresses and phone number.
curl -X POST "https://api.descope.com/v1/mgmt/user/signin/embeddedlink" \  -H "Content-Type: application/json" \  -d '{}'
{  "token": "string",  "maskedEmail": "string",  "maskedPhone": "string"}
export interface Response {token?: stringmaskedEmail?: stringmaskedPhone?: string}
Was this helpful?